Bug 255512 - System settings crashes when exit
Summary: System settings crashes when exit
Status: RESOLVED WORKSFORME
Alias: None
Product: kdelibs
Classification: Unclassified
Component: knewstuff (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Jeremy Whiting
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-28 16:49 UTC by Bitta Jam
Modified: 2018-11-29 04:48 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bitta Jam 2010-10-28 16:49:03 UTC
Application: systemsettings (1.0)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.36-020636rc8-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
Almost every time I close system settings (even if there were no changes made) it crashes. 
By the way, it can't download no themes: no window decorations, no dekorator themes, nothing. When I click on "Get new themes" it says "Loading provider information", which can be loading for hours and nothing happens.

-- Backtrace:
Application: Параметры системы (systemsettings), signal: Aborted
[Current thread is 1 (Thread 0x7fb776719760 (LWP 5555))]

Thread 4 (Thread 0x7fb7603ec710 (LWP 5556)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fb773bc61dc in _L_lock_12347 () from /lib/libc.so.6
#2  0x00007fb773bc4c78 in __libc_free (mem=0x7fb773ec5e40) at malloc.c:3736
#3  0x00007fb774365601 in socketNotifierSourceCheck (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007fb770e1566a in g_main_context_check () from /lib/libglib-2.0.so.0
#5  0x00007fb770e16023 in ?? () from /lib/libglib-2.0.so.0
#6  0x00007fb770e1645c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#7  0x00007fb774365193 in QEventDispatcherGlib::processEvents (this=0x2840800, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#8  0x00007fb774337a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#9  0x00007fb774337dec in QEventLoop::exec (this=0x7fb7603ebdb0, flags=) at kernel/qeventloop.cpp:201
#10 0x00007fb7742422fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#11 0x00007fb7743175f8 in QInotifyFileSystemWatcherEngine::run (this=0x2832be0) at io/qfilesystemwatcher_inotify.cpp:248
#12 0x00007fb77424527e in QThreadPrivate::start (arg=0x2832be0) at thread/qthread_unix.cpp:266
#13 0x00007fb773931971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#14 0x00007fb773c2d91d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fb752e8a710 (LWP 5583)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fb773bc61dc in _L_lock_12347 () from /lib/libc.so.6
#2  0x00007fb773bc4c78 in __libc_free (mem=0x7fb773ec5e40) at malloc.c:3736
#3  0x00007fb770e11c3b in ?? () from /lib/libglib-2.0.so.0
#4  0x00007fb774365d33 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x2bbfb80, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:369
#5  0x00007fb774244ac4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:302
#6  0x00007fb774245286 in ~__pthread_cleanup_class (arg=0x2d93d90) at /usr/include/pthread.h:545
#7  QThreadPrivate::start (arg=0x2d93d90) at thread/qthread_unix.cpp:271
#8  0x00007fb773931971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007fb773c2d91d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb752280710 (LWP 5584)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007fb773bc61dc in _L_lock_12347 () from /lib/libc.so.6
#2  0x00007fb773bc4c78 in __libc_free (mem=0x7fb773ec5e40) at malloc.c:3736
#3  0x00007fb770e11c3b in ?? () from /lib/libglib-2.0.so.0
#4  0x00007fb774365d33 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x29b6720, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:369
#5  0x00007fb774244ac4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:302
#6  0x00007fb774245286 in ~__pthread_cleanup_class (arg=0x7fb77466af40) at /usr/include/pthread.h:545
#7  QThreadPrivate::start (arg=0x7fb77466af40) at thread/qthread_unix.cpp:271
#8  0x00007fb773931971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#9  0x00007fb773c2d91d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb776719760 (LWP 5555)):
[KCrash Handler]
#6  0x00007fb773b7aba5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007fb773b7e6b0 in abort () at abort.c:92
#8  0x00007fb773bb443b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007fb773bbe4b6 in malloc_printerr (action=3, str=0x7fb773c8ee33 "free(): invalid pointer", ptr=<value optimized out>) at malloc.c:6283
#10 0x00007fb773bc4c83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#11 0x00007fb75edfa9dd in KNS3::DownloadDialog::~DownloadDialog (this=0x7fffe9db9ce0, __in_chrg=<value optimized out>) at ../../../knewstuff/knewstuff3/downloaddialog.cpp:103
#12 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x2b51cf0) at kernel/qobject.cpp:1957
#13 0x00007fb774fc5168 in QWidget::~QWidget (this=0x2aed180, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#14 0x00007fb7531351b4 in ?? () from /usr/lib/kde4/kwin_deKorator_config.so
#15 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x2b6a770) at kernel/qobject.cpp:1957
#16 0x00007fb774fc5168 in QWidget::~QWidget (this=0x29ae570, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#17 0x00007fb7753ef331 in QStackedWidget::~QStackedWidget (this=0x15b3, __in_chrg=<value optimized out>) at widgets/qstackedwidget.cpp:151
#18 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x2b6a3b0) at kernel/qobject.cpp:1957
#19 0x00007fb774fc5168 in QWidget::~QWidget (this=0x2911530, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#20 0x00007fb775dbbe2d in KTabWidget::~KTabWidget (this=0x2911530, __in_chrg=<value optimized out>) at ../../kdeui/widgets/ktabwidget.cpp:247
#21 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x2a8aff0) at kernel/qobject.cpp:1957
#22 0x00007fb774fc5168 in QWidget::~QWidget (this=0x2b98960, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#23 0x00007fb753129dbe in ?? () from /usr/lib/kde4/kwin_deKorator_config.so
#24 0x00007fb7531247dd in ?? () from /usr/lib/kde4/kwin_deKorator_config.so
#25 0x00007fb75f58a4d8 in KWin::KWinDecorationConfigDialog::~KWinDecorationConfigDialog (this=0x2b643b0, __in_chrg=<value optimized out>) at ../../../../kwin/kcmkwin/kwindecoration/configdialog.cpp:120
#26 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x22969d0) at kernel/qobject.cpp:1957
#27 0x00007fb774fc5168 in QWidget::~QWidget (this=0x2a02460, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#28 0x00007fb75f580d82 in KWin::KWinDecorationModule::~KWinDecorationModule (this=0x2a02460, __in_chrg=<value optimized out>) at ../../../../kwin/kcmkwin/kwindecoration/kwindecoration.cpp:112
#29 0x00007fb776311354 in KCModuleProxy::deleteClient (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:219
#30 0x00007fb776312e46 in KCModuleProxy::~KCModuleProxy (this=0x15b3, __in_chrg=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:210
#31 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x297c3c0) at kernel/qobject.cpp:1957
#32 0x00007fb774fc457c in QWidget::~QWidget (this=0x24b6f40, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#33 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x292b390) at kernel/qobject.cpp:1957
#34 0x00007fb774fc5168 in QWidget::~QWidget (this=0x2920400, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#35 0x00007fb77541ec01 in QScrollArea::~QScrollArea (this=0x15b3, __in_chrg=<value optimized out>) at widgets/qscrollarea.cpp:176
#36 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x25a9340) at kernel/qobject.cpp:1957
#37 0x00007fb774fc5168 in QWidget::~QWidget (this=0x25a9300, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#38 0x00007fb775cf87ae in KPageStackedWidget::~KPageStackedWidget (this=0x15b3, __in_chrg=<value optimized out>) at ../../kdeui/paged/kpageview_p.h:38
#39 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x25a8cb0) at kernel/qobject.cpp:1957
#40 0x00007fb774fc5168 in QWidget::~QWidget (this=0x25a8c70, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#41 0x00007fb775cfc161 in KPageWidget::~KPageWidget (this=0x15b3, __in_chrg=<value optimized out>) at ../../kdeui/paged/kpagewidget.cpp:78
#42 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x25a8700) at kernel/qobject.cpp:1957
#43 0x00007fb774fc5168 in QWidget::~QWidget (this=0x25a86c0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#44 0x00007fb7760e8c93 in ModuleView::~ModuleView (this=0x25a86c0, __in_chrg=<value optimized out>) at ../../../systemsettings/core/ModuleView.cpp:108
#45 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x25a8290) at kernel/qobject.cpp:1957
#46 0x00007fb774fc5168 in QWidget::~QWidget (this=0x236e920, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#47 0x00007fb7753ef331 in QStackedWidget::~QStackedWidget (this=0x15b3, __in_chrg=<value optimized out>) at widgets/qstackedwidget.cpp:151
#48 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x2344d20) at kernel/qobject.cpp:1957
#49 0x00007fb774fc5168 in QWidget::~QWidget (this=0x22cb6f0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#50 0x00007fb7753ef331 in QStackedWidget::~QStackedWidget (this=0x15b3, __in_chrg=<value optimized out>) at widgets/qstackedwidget.cpp:151
#51 0x00007fb77434ad5f in QObjectPrivate::deleteChildren (this=0x21e9df0) at kernel/qobject.cpp:1957
#52 0x00007fb774fc5168 in QWidget::~QWidget (this=0x22c9b50, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1589
#53 0x00007fb775d9a985 in KMainWindow::~KMainWindow (this=0x22c9b50, __in_chrg=<value optimized out>) at ../../kdeui/widgets/kmainwindow.cpp:473
#54 0x000000000040aed6 in SettingsBase::~SettingsBase (this=0x22c9b50, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at ../../../systemsettings/app/SettingsBase.cpp:72
#55 0x00007fb77434ac08 in QObject::event (this=0x22c9b50, e=0x15b3) at kernel/qobject.cpp:1202
#56 0x00007fb774fbf6df in QWidget::event (this=0x22c9b50, event=0x2a11d70) at kernel/qwidget.cpp:8646
#57 0x00007fb7753a741b in QMainWindow::event (this=0x22c9b50, event=0x2a11d70) at widgets/qmainwindow.cpp:1417
#58 0x00007fb775dd8683 in KXmlGuiWindow::event (this=0x15b3, ev=0x15b3) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:130
#59 0x00007fb774f69fdc in QApplicationPrivate::notify_helper (this=0x21f91f0, receiver=0x22c9b50, e=0x2a11d70) at kernel/qapplication.cpp:4396
#60 0x00007fb774f6faed in QApplication::notify (this=0x7fffe9dbce60, receiver=0x22c9b50, e=0x2a11d70) at kernel/qapplication.cpp:4277
#61 0x00007fb775cbc156 in KApplication::notify (this=0x7fffe9dbce60, receiver=0x22c9b50, event=0x2a11d70) at ../../kdeui/kernel/kapplication.cpp:310
#62 0x00007fb774338cdc in QCoreApplication::notifyInternal (this=0x7fffe9dbce60, receiver=0x22c9b50, event=0x2a11d70) at kernel/qcoreapplication.cpp:732
#63 0x00007fb77433bc22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x21cab00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#64 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x21cab00) at kernel/qcoreapplication.cpp:1373
#65 0x00007fb774365653 in sendPostedEvents (s=0x21fc8c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#66 postEventSourceDispatch (s=0x21fc8c0) at kernel/qeventdispatcher_glib.cpp:277
#67 0x00007fb770e12342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#68 0x00007fb770e162a8 in ?? () from /lib/libglib-2.0.so.0
#69 0x00007fb770e1645c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#70 0x00007fb774365193 in QEventDispatcherGlib::processEvents (this=0x21ca1f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#71 0x00007fb77501ca4e in QGuiEventDispatcherGlib::processEvents (this=0x15b3, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#72 0x00007fb774337a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#73 0x00007fb774337dec in QEventLoop::exec (this=0x7fffe9db7510, flags=) at kernel/qeventloop.cpp:201
#74 0x00007fb775d4feb4 in KWallet::Wallet::openWallet (name=<value optimized out>, w=<value optimized out>, ot=KWallet::Wallet::Synchronous) at ../../kdeui/util/kwallet.cpp:268
#75 0x00007fb75187a29a in Attica::KdePlatformDependent::openWallet (this=0x29b65b0, force=true) at ../../../attica/kdeplugin/kdeplatformdependent.cpp:63
#76 0x00007fb75187c69d in Attica::KdePlatformDependent::loadCredentials (this=0x29b65b0, baseUrl=..., user=..., password=...) at ../../../attica/kdeplugin/kdeplatformdependent.cpp:176
#77 0x00007fb75bf613f7 in ?? () from /usr/lib/libattica.so.0
#78 0x00007fb75bf5b492 in Attica::Provider::Provider(Attica::PlatformDependent*, QUrl const&, QString const&, QUrl const&, QString const&, QString const&, QString const&, QString const&, QString const&, QString const&, QString const&, QString const&, QString const&) () from /usr/lib/libattica.so.0
#79 0x00007fb75bf64502 in Attica::ProviderManager::parseProviderFile(QString const&, QString const&) () from /usr/lib/libattica.so.0
#80 0x00007fb75bf67c14 in Attica::ProviderManager::addProviderFromXml(QString const&) () from /usr/lib/libattica.so.0
#81 0x00007fb75ee33878 in KNS3::AtticaProvider::setProviderXML (this=<value optimized out>, xmldata=<value optimized out>) at ../../../knewstuff/knewstuff3/attica/atticaprovider.cpp:85
#82 0x00007fb75ee0b446 in KNS3::Engine::slotProviderFileLoaded (this=<value optimized out>, doc=<value optimized out>) at ../../../knewstuff/knewstuff3/core/engine.cpp:212
#83 0x00007fb75ee0c049 in KNS3::Engine::qt_metacall (this=0x2d90470, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe9db8850) at ./engine.moc:148
#84 0x00007fb774350b27 in QMetaObject::activate (sender=0x2ddfed0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#85 0x00007fb75ee1c0d2 in KNS3::XmlLoader::signalLoaded (this=0x15b3, _t1=<value optimized out>) at ./xmlloader.moc:97
#86 0x00007fb75ee1c207 in KNS3::XmlLoader::slotJobResult (this=0x2ddfed0, job=<value optimized out>) at ../../../knewstuff/knewstuff3/core/xmlloader.cpp:77
#87 0x00007fb75ee1c33c in KNS3::XmlLoader::qt_metacall (this=0x2ddfed0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe9db89c0) at ./xmlloader.moc:85
#88 0x00007fb774350b27 in QMetaObject::activate (sender=0x2dd2ac0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#89 0x00007fb774a09712 in KJob::result (this=0x15b3, _t1=0x2dd2ac0) at ./kjob.moc:194
#90 0x00007fb774a099b0 in KJob::emitResult (this=0x2dd2ac0) at ../../kdecore/jobs/kjob.cpp:312
#91 0x00007fb76d980203 in KIO::SimpleJob::slotFinished (this=0x2dd2ac0) at ../../kio/kio/job.cpp:522
#92 0x00007fb76d980af7 in KIO::TransferJob::slotFinished (this=0x2dd2ac0) at ../../kio/kio/job.cpp:1111
#93 0x00007fb76d97ea41 in KIO::TransferJob::qt_metacall (this=0x2dd2ac0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe9db8dc0) at ./jobclasses.moc:367
#94 0x00007fb774350b27 in QMetaObject::activate (sender=0x2df64e0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#95 0x00007fb76da2fc8e in KIO::SlaveInterface::dispatch (this=0x2df64e0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#96 0x00007fb76da2ccc3 in KIO::SlaveInterface::dispatch (this=0x2df64e0) at ../../kio/kio/slaveinterface.cpp:91
#97 0x00007fb76da20876 in KIO::Slave::gotInput (this=0x2df64e0) at ../../kio/kio/slave.cpp:344
#98 0x00007fb76da20a5c in KIO::Slave::qt_metacall (this=0x2df64e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe9db9200) at ./slave.moc:82
#99 0x00007fb774350b27 in QMetaObject::activate (sender=0x2decef0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#100 0x00007fb76d94cdf7 in KIO::ConnectionPrivate::dequeue (this=0x2dfda50) at ../../kio/kio/connection.cpp:82
#101 0x00007fb76d94cf1d in KIO::Connection::qt_metacall (this=0x2decef0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x2b2a520) at ./connection.moc:79
#102 0x00007fb77434abde in QObject::event (this=0x2decef0, e=0x15b3) at kernel/qobject.cpp:1219
#103 0x00007fb774f69fdc in QApplicationPrivate::notify_helper (this=0x21f91f0, receiver=0x2decef0, e=0x294a950) at kernel/qapplication.cpp:4396
#104 0x00007fb774f6faed in QApplication::notify (this=0x7fffe9dbce60, receiver=0x2decef0, e=0x294a950) at kernel/qapplication.cpp:4277
#105 0x00007fb775cbc156 in KApplication::notify (this=0x7fffe9dbce60, receiver=0x2decef0, event=0x294a950) at ../../kdeui/kernel/kapplication.cpp:310
#106 0x00007fb774338cdc in QCoreApplication::notifyInternal (this=0x7fffe9dbce60, receiver=0x2decef0, event=0x294a950) at kernel/qcoreapplication.cpp:732
#107 0x00007fb77433bc22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x21cab00) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#108 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x21cab00) at kernel/qcoreapplication.cpp:1373
#109 0x00007fb774365653 in sendPostedEvents (s=0x21fc8c0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#110 postEventSourceDispatch (s=0x21fc8c0) at kernel/qeventdispatcher_glib.cpp:277
#111 0x00007fb770e12342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#112 0x00007fb770e162a8 in ?? () from /lib/libglib-2.0.so.0
#113 0x00007fb770e1645c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#114 0x00007fb774365193 in QEventDispatcherGlib::processEvents (this=0x21ca1f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#115 0x00007fb77501ca4e in QGuiEventDispatcherGlib::processEvents (this=0x15b3, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#116 0x00007fb774337a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#117 0x00007fb774337dec in QEventLoop::exec (this=0x7fffe9db9c50, flags=) at kernel/qeventloop.cpp:201
#118 0x00007fb77545e7de in QDialog::exec (this=0x7fffe9db9ce0) at dialogs/qdialog.cpp:552
#119 0x00007fb75313ca9b in ?? () from /usr/lib/kde4/kwin_deKorator_config.so
#120 0x00007fb753124584 in ?? () from /usr/lib/kde4/kwin_deKorator_config.so
#121 0x00007fb774350b27 in QMetaObject::activate (sender=0x2afdc70, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#122 0x00007fb775647402 in QAbstractButton::clicked (this=0x15b3, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#123 0x00007fb775341eeb in QAbstractButtonPrivate::emitClicked (this=0x2afddf0) at widgets/qabstractbutton.cpp:546
#124 0x00007fb7753435bb in QAbstractButtonPrivate::click (this=0x2afddf0) at widgets/qabstractbutton.cpp:539
#125 0x00007fb77534382c in QAbstractButton::mouseReleaseEvent (this=0x2afdc70, e=0x7fffe9dba820) at widgets/qabstractbutton.cpp:1121
#126 0x00007fb774fc004e in QWidget::event (this=0x2afdc70, event=0x7fffe9dba820) at kernel/qwidget.cpp:8187
#127 0x00007fb774f69fdc in QApplicationPrivate::notify_helper (this=0x21f91f0, receiver=0x2afdc70, e=0x7fffe9dba820) at kernel/qapplication.cpp:4396
#128 0x00007fb774f7030e in QApplication::notify (this=0x7fffe9dbce60, receiver=0x2afdc70, e=0x7fffe9dba820) at kernel/qapplication.cpp:3959
#129 0x00007fb775cbc156 in KApplication::notify (this=0x7fffe9dbce60, receiver=0x2afdc70, event=0x7fffe9dba820) at ../../kdeui/kernel/kapplication.cpp:310
#130 0x00007fb774338cdc in QCoreApplication::notifyInternal (this=0x7fffe9dbce60, receiver=0x2afdc70, event=0x7fffe9dba820) at kernel/qcoreapplication.cpp:732
#131 0x00007fb774f6edbe in sendEvent (receiver=0x2afdc70, event=0x7fffe9dba820, alienWidget=0x2afdc70, nativeWidget=0x2b643b0, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#132 QApplicationPrivate::sendMouseEvent (receiver=0x2afdc70, event=0x7fffe9dba820, alienWidget=0x2afdc70, nativeWidget=0x2b643b0, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#133 0x00007fb774ff2345 in QETWidget::translateMouseEvent (this=0x2b643b0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#134 0x00007fb774ff0c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffe9dbb140) at kernel/qapplication_x11.cpp:3536
#135 0x00007fb77501d0e2 in x11EventSourceDispatch (s=0x21fcae0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#136 0x00007fb770e12342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#137 0x00007fb770e162a8 in ?? () from /lib/libglib-2.0.so.0
#138 0x00007fb770e1645c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#139 0x00007fb774365193 in QEventDispatcherGlib::processEvents (this=0x21ca1f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#140 0x00007fb77501ca4e in QGuiEventDispatcherGlib::processEvents (this=0x15b3, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#141 0x00007fb774337a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#142 0x00007fb774337dec in QEventLoop::exec (this=0x7fffe9dbb470, flags=) at kernel/qeventloop.cpp:201
#143 0x00007fb77545e7de in QDialog::exec (this=0x2b643b0) at dialogs/qdialog.cpp:552
#144 0x00007fb75f580f8a in KWin::KWinDecorationModule::slotConfigureDecoration (this=0x2a02460) at ../../../../kwin/kcmkwin/kwindecoration/kwindecoration.cpp:337
#145 0x00007fb75f581fe4 in KWin::KWinDecorationModule::qt_metacall (this=0x2a02460, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffe9dbb810) at ./kwindecoration.moc:143
#146 0x00007fb774350b27 in QMetaObject::activate (sender=0x28a2420, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#147 0x00007fb775647402 in QAbstractButton::clicked (this=0x15b3, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#148 0x00007fb775341eeb in QAbstractButtonPrivate::emitClicked (this=0x29167c0) at widgets/qabstractbutton.cpp:546
#149 0x00007fb7753435bb in QAbstractButtonPrivate::click (this=0x29167c0) at widgets/qabstractbutton.cpp:539
#150 0x00007fb77534382c in QAbstractButton::mouseReleaseEvent (this=0x28a2420, e=0x7fffe9dbc160) at widgets/qabstractbutton.cpp:1121
#151 0x00007fb774fc004e in QWidget::event (this=0x28a2420, event=0x7fffe9dbc160) at kernel/qwidget.cpp:8187
#152 0x00007fb774f69fdc in QApplicationPrivate::notify_helper (this=0x21f91f0, receiver=0x28a2420, e=0x7fffe9dbc160) at kernel/qapplication.cpp:4396
#153 0x00007fb774f7030e in QApplication::notify (this=0x7fffe9dbce60, receiver=0x28a2420, e=0x7fffe9dbc160) at kernel/qapplication.cpp:3959
#154 0x00007fb775cbc156 in KApplication::notify (this=0x7fffe9dbce60, receiver=0x28a2420, event=0x7fffe9dbc160) at ../../kdeui/kernel/kapplication.cpp:310
#155 0x00007fb774338cdc in QCoreApplication::notifyInternal (this=0x7fffe9dbce60, receiver=0x28a2420, event=0x7fffe9dbc160) at kernel/qcoreapplication.cpp:732
#156 0x00007fb774f6edbe in sendEvent (receiver=0x28a2420, event=0x7fffe9dbc160, alienWidget=0x28a2420, nativeWidget=0x22cb6f0, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#157 QApplicationPrivate::sendMouseEvent (receiver=0x28a2420, event=0x7fffe9dbc160, alienWidget=0x28a2420, nativeWidget=0x22cb6f0, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#158 0x00007fb774ff2345 in QETWidget::translateMouseEvent (this=0x22cb6f0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#159 0x00007fb774ff0c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffe9dbca80) at kernel/qapplication_x11.cpp:3536
#160 0x00007fb77501d0e2 in x11EventSourceDispatch (s=0x21fcae0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#161 0x00007fb770e12342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#162 0x00007fb770e162a8 in ?? () from /lib/libglib-2.0.so.0
#163 0x00007fb770e1645c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#164 0x00007fb774365193 in QEventDispatcherGlib::processEvents (this=0x21ca1f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#165 0x00007fb77501ca4e in QGuiEventDispatcherGlib::processEvents (this=0x15b3, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#166 0x00007fb774337a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#167 0x00007fb774337dec in QEventLoop::exec (this=0x7fffe9dbcdb0, flags=) at kernel/qeventloop.cpp:201
#168 0x00007fb77433bebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#169 0x00000000004118a9 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../../systemsettings/app/main.cpp:49

Possible duplicates by query: bug 255312, bug 253841, bug 250441, bug 248108, bug 248004.

Reported using DrKonqi
Comment 1 Christoph Feck 2010-10-28 17:15:46 UTC
When you open a "Get new Themes..." dialog, a KWallet message appears. If you do not answer that, no themes will be displayed and this crash can happen when closing systemsettings.

To reproduce:

* start systemsettings > Application Appearance > Icons
* click "Get New Themes..." button, but do NOT answer the KWallet dialog
* close KNS dialog
* close systemsettings

The problem is that the KWallet message dialog is not modal with respect to the requesting GNS dialog.

I am reassigning to knewstuff, but it might also be a attica or kwallet problem.
Comment 2 Bitta Jam 2010-10-28 17:27:11 UTC
(In reply to comment #1)
> When you open a "Get new Themes..." dialog, a KWallet message appears. If you
> do not answer that, no themes will be displayed and this crash can happen when
> closing systemsettings.

Nope. There's no KWAllet message.
Comment 3 Christoph Feck 2010-10-29 17:01:28 UTC
Adding KWallet maintainer.

According to the backtrace, it is running a local event loop to "wait for the daemon's reply" (see kwallet.cpp:268), but I don't know why it is possible to manipulate the UI during this loop. What daemon?
Comment 4 Andrew Crouthamel 2018-10-30 00:03:07 UTC
Dear Bug Submitter,

This bug has been stagnant for a long time. Could you help us out and re-test if the bug is valid in the latest version? I am setting the status to NEEDSINFO pending your response, please change the Status back to REPORTED when you respond.

Thank you for helping us make KDE software even better for everyone!
Comment 5 Bug Janitor Service 2018-11-14 11:27:36 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 6 Bug Janitor Service 2018-11-29 04:48:47 UTC
This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!